module dac(clock,rst,wr_data,wr_act,dac_clk,dac_data,dac_load,dac_ldac);
input 		clock;	//ϵͳʱ
input 		rst;	//λź
input[10:0] wr_data;//DAC 11λ
    				//bit[10:9] ͨѡ00:CHA; 01:CHB; 10:CHC; 11:CHD.
					//bit[8] RNG bitѹ(0:οѹ;1:οѹ)
					//bit[7:0] DACת룬Χ0~255.
					//ѹVo=REF*(CODE/256)*(1+RNG bit)   
input	wr_act; 	//д
output	dac_clk;    //DACʱ
output	dac_data;	//DAC
output 	dac_load;   //DACݼź
output 	dac_ldac;   //DACź

reg [CLK_DIV_BITS-1:0] 	counter; 
reg			dac_clk_r;      
reg 		dac_data_r;		
reg 		dac_load_r;      
reg [4:0] 	bit_counter;       		//DACλ
reg 		div_clk;            	//Ƶʱ 
reg 		bit_counter_rst;    	//λλź
reg [1:0]	dac_sta,dac_sta_next;
wire		dac_dat_send_finish;
parameter	CLK_DIV 	 = 63;
parameter	CLK_DIV_BITS = 6;

parameter	dac_idle 	= 2'h0,		//״̬
			dac_send 	= 2'h1,
			dac_store 	= 2'h2;
//**********************************************************
always @(posedge clock or posedge rst)
begin
	if (rst)           
	begin
		counter <= 6'd0;
	end
	else
	begin
		if (counter < CLK_DIV)
 	    begin
 	    	counter <= counter + 1'b1;
 	    	div_clk <= 1'b0;
 	    end
 	    else
 	    begin
 	    	counter <= 6'd0;
 	    	div_clk <= 1'b1;
 	    end
 	end
end
//**********************************************************
//״̬
always @(posedge clock or posedge rst)
begin
	if (rst)
		dac_sta <= dac_idle;
	else
		dac_sta <= dac_sta_next;
end

//״̬
always @(dac_sta or wr_act or div_clk or dac_dat_send_finish)
begin
	dac_load_r <= 1'b1;
	bit_counter_rst <= 1'b0;
	dac_sta_next <= dac_idle;
	case(dac_sta)
		dac_idle:
		begin
			bit_counter_rst <= 1'b1;  	//ʱλλ
			if (wr_act)            		//дźʱ,뷢״̬
				dac_sta_next <= dac_send;
			else
				dac_sta_next <= dac_idle;
		end
		
		dac_send:
		begin
			if (dac_dat_send_finish)  //λݷɺ״̬
				dac_sta_next <= dac_store;
			else
				dac_sta_next <= dac_send;
		end
		
		dac_store:
		begin
			bit_counter_rst <= 1'b1; 	//λλ
			dac_load_r <= 1'b0;      	//Load ͽ
			if (div_clk)             	//״̬Ϊ1div_clk
				dac_sta_next <= dac_idle;
			else
				dac_sta_next <= dac_store;
		end
		
	endcase
end
//**********************************************************
always @(posedge clock)
begin
	if (bit_counter_rst)
	begin
		bit_counter <= 5'h0; 			//λ0
	end
	else if (div_clk)        			//λۼ
	begin
		bit_counter <= bit_counter + 5'h1;
    end
end

//λ24ʱ
assign dac_dat_send_finish = (bit_counter == 5'd24);

always @(bit_counter[4:1] or wr_data)
begin
	case (bit_counter[4:1]) //ͼ[4:1]λ任ʱ,1bit
		4'd1 :	dac_data_r <= wr_data[10];//ȸλ
		4'd2 :	dac_data_r <= wr_data[9];
		4'd3 :	dac_data_r <= wr_data[8];
		4'd4 :	dac_data_r <= wr_data[7];
		4'd5 :	dac_data_r <= wr_data[6];
		4'd6 :	dac_data_r <= wr_data[5];
		4'd7 :	dac_data_r <= wr_data[4];
		4'd8 :	dac_data_r <= wr_data[3];
		4'd9 :	dac_data_r <= wr_data[2];
		4'd10:	dac_data_r <= wr_data[1];
		4'd11:	dac_data_r <= wr_data[0];
		default:dac_data_r <= 1'b1;
	endcase
end

//ڷλ224dac clk
always @(bit_counter)
begin
	if ((bit_counter < 5'd24) & (bit_counter >= 5'd2))
	begin
		dac_clk_r <= ~bit_counter[0];
	end
	else
		dac_clk_r <= 1'b0;
end

assign dac_clk  = dac_clk_r;
assign dac_data = dac_data_r;
assign dac_load = dac_load_r;
assign dac_ldac = 1'b0;

endmodule