//********************************************************//
//                 LCD12864Һʾ					  //
//                    ʾһͼƬ                        //
//********************************************************//
module lcd(clock,rst_n,lcd12864_rs,lcd12864_rw,lcd12864_en,light,lcd12864_data);
//I/O
input 		clock;		//ϵͳʱ
input		rst_n;		//λź
output 		lcd12864_rs;			//1:ģʽ;0:ָģʽ
output 		lcd12864_rw;			//1:;0:д
output		lcd12864_en;			//ʹź,дʱ½ؽͳ;ʱָߵƽ
output 		light;		//LCDƿ,ߵƽ
output[7:0]	lcd12864_data;		//LCD
//I/OĴ
reg		lcd12864_rs;
reg 	lcd12864_en;
reg[7:0]lcd12864_data;
//ڲĴ
reg[3:0]	state; 			//״̬
reg[3:0]	next_state;                          
reg[14:0] 	div_cnt;     	//Ƶ
reg[9:0]	cnt;			//д
reg 		cnt_rst;		//дλź
reg[7:0] showdata;			//Ҫʾ
//ڲ
wire clk_div;				//Ƶʱ
wire line_done;				//дһɱ־λ
wire frame_done;			//дһɱ־λ
//״̬
parameter 	idle 	     = 4'b0000,
			setbase_1    = 4'b0001,
			setbase_2    = 4'b0011,
			setmode_1    = 4'b0010,
			setmode_2    = 4'b0110,
			setcurs_1    = 4'b0111,
			setcurs_2    = 4'b0101,
			setexte_1    = 4'b0100,
			setexte_2    = 4'b1100,
			wr_y_addr_1  = 4'b1101,
			wr_y_addr_2  = 4'b1111,
			wr_x_addr_1  = 4'b1110,
			wr_x_addr_2  = 4'b1010,	
			wr_data_1    = 4'b1011,
			wr_data_2    = 4'b1001;		 	
			
//*************************뿪ʼ******************************
assign lcd12864_rw = 1'b0;			//LCDʼΪд
assign light = 1'b1;		//
//ʱӷƵ
always @(posedge clock or negedge rst_n)
begin
    if(!rst_n)
   	 	div_cnt <= 15'd0;
    else
    	div_cnt <= div_cnt+ 1'b1;
end

assign clk_div = (div_cnt == 15'h7fff);

//״̬ת
always @(posedge clock or negedge rst_n)
begin
    if(!rst_n)
   	 	state <= idle;
    else if(clk_div)
    	state <= next_state;
end

//**********************״̬߼*******************************
always @(state or line_done or frame_done or cnt or showdata)
begin
	lcd12864_rs <= 1'b0;
	lcd12864_en <= 1'b0;
	cnt_rst <= 1'b0;
	lcd12864_data <= 8'h0;
    case(state)
		idle:           
		begin
			next_state <= setbase_1;
		end
//************************ʹLCD*****************************	
        setbase_1:   					//ָ
		begin                      
			next_state <= setbase_2;
       		lcd12864_data <= 8'h30;
			lcd12864_en <= 1'b1;
        end
		
        setbase_2: 
		begin
            next_state <= setmode_1;
			lcd12864_data <= 8'h30;
    	end
//*********************************  
		setmode_1:   					//ָдȡʱƶ,
		begin                  			//趨DDRAM ĵַ(AC)Զ
     	 	next_state <= setmode_2;      
            lcd12864_data <= 8'h06;
			lcd12864_en <= 1'b1;
        end
                           
 		setmode_2:  
		begin
	        next_state <= setcurs_1;
            lcd12864_data <= 8'h06;
        end
//********************************* 
        setcurs_1: 					 	//ʾ,ع,
		begin                 
			next_state <= setcurs_2;
     		lcd12864_data <= 8'h0c;
			lcd12864_en <= 1'b1;
	  	end   

        setcurs_2:    
		begin
     		next_state <= setexte_1;
     		lcd12864_data <= 8'h0c;
 		end
//********************************* 
        setexte_1:   					//ָ
		begin                      
			next_state<=setexte_2;
       		lcd12864_data <= 8'h36;
			lcd12864_en <= 1'b1;
        end
		
        setexte_2: 
		begin
            next_state <= wr_y_addr_1;
			lcd12864_data <= 8'h36;
			cnt_rst <= 1'b1;			//λ֡	
    	end

//********************дͼƬݵLCDԴ***********************
        wr_y_addr_1:  					//趨ͼʾYַ
		begin                
      		next_state <= wr_y_addr_2;
         	lcd12864_data <= {3'b100,cnt[8:4]};
			lcd12864_en <= 1'b1;
   		end

        wr_y_addr_2:  
		begin
   			next_state <= wr_x_addr_1;
         	lcd12864_data <= {3'b100,cnt[8:4]};
        end
//********************************* 
       wr_x_addr_1:  					//趨ͼʾXַ
		begin                
      		next_state <= wr_x_addr_2;
			lcd12864_en <= 1'b1;
         	lcd12864_data <= {4'd8,cnt[9],3'd0};//ϰ:0x80;°:0x88
   		end

        wr_x_addr_2:  
		begin
   			next_state <= wr_data_1;
         	lcd12864_data <= {4'd8,cnt[9],3'd0};
        end
//********************************* 
        wr_data_1:  					//дݵͼʾ
		begin    
			next_state <= wr_data_2;           			 	
         	lcd12864_rs <= 1'b1;
			lcd12864_en <= 1'b1;
           	lcd12864_data <= showdata;
        end
	
        wr_data_2:
		begin
			lcd12864_rs<=1'b1;
			lcd12864_data <= showdata;
			if(line_done)						//дһ(16)
			begin
				if(frame_done)					//дһ(64)
					next_state <= idle;
				else
					next_state <= wr_y_addr_1;	
			end
			else
				next_state <= wr_data_1;	
        end              
 
      	default:  	next_state<=idle;
	endcase
end

//***************************************************************   
always @(posedge clock)
begin
	if(clk_div)
	begin
		if(cnt_rst)
			cnt <= 10'd0;		 
		else if(state == wr_data_2)
			cnt <= cnt + 1'b1;
	end
end

assign line_done = (cnt[3:0] == 4'hf);			//дһ
assign frame_done = (cnt[9:4] == 7'h3f);		//дһ
//***************************************************************   
//ROM(ͼƬ)
rom	rom (.address (cnt),.clock (clock),.q (showdata));

endmodule
